'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.onRenderBody = function (_ref, pluginOptions) {
  var setPostBodyComponents = _ref.setPostBodyComponents,
      setHeadComponents = _ref.setHeadComponents;

  if (process.env.NODE_ENV === 'production' || pluginOptions.includeInDevelopment) {
    var id = pluginOptions.id,
        sv = pluginOptions.sv;

    var addToHead = pluginOptions.addToHead || false;

    var script = [_react2.default.createElement('script', {
      key: 'gatsby-plugin-hotjar',
      dangerouslySetInnerHTML: {
        __html: '\n              (function(h,o,t,j,a,r){\n                  h.hj=h.hj||function(){(h.hj.q=h.hj.q||[]).push(arguments)};\n                  h._hjSettings={hjid:' + id + ',hjsv:' + sv + '};\n                  a=o.getElementsByTagName(\'head\')[0];\n                  r=o.createElement(\'script\');r.async=1;\n                  r.src=t+h._hjSettings.hjid+j+h._hjSettings.hjsv;\n                  a.appendChild(r);\n              })(window,document,\'https://static.hotjar.com/c/hotjar-\',\'.js?sv=\')\n          '
      }
    })];

    if (addToHead) {
      return setHeadComponents(script);
    } else {
      return setPostBodyComponents(script);
    }
  }

  return null;
};